Generate a temporary signed URL for a trust portal document
curl --request POST \
--url https://api.trycomp.ai/v1/trust-portal/documents/{documentId}/download \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"organizationId": "org_6914cd0e16e4c7dccbb54426"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: 'org_6914cd0e16e4c7dccbb54426'})
};
fetch('https://api.trycomp.ai/v1/trust-portal/documents/{documentId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/trust-portal/documents/{documentId}/download"
payload = { "organizationId": "org_6914cd0e16e4c7dccbb54426" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"signedUrl": "<string>",
"fileName": "<string>"
}Trust Portal
Generate a temporary signed URL for a trust | Comp AI API
Generate a temporary signed URL for a trust portal document in Comp AI. Configure the live Trust Center, custom domain, public overview, FAQs, compliance.
POST
/
v1
/
trust-portal
/
documents
/
{documentId}
/
download
Generate a temporary signed URL for a trust portal document
curl --request POST \
--url https://api.trycomp.ai/v1/trust-portal/documents/{documentId}/download \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"organizationId": "org_6914cd0e16e4c7dccbb54426"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: 'org_6914cd0e16e4c7dccbb54426'})
};
fetch('https://api.trycomp.ai/v1/trust-portal/documents/{documentId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/trust-portal/documents/{documentId}/download"
payload = { "organizationId": "org_6914cd0e16e4c7dccbb54426" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"signedUrl": "<string>",
"fileName": "<string>"
}Authorizations
API key for authentication
Path Parameters
Body
application/json
Organization ID that owns the document
Example:
"org_6914cd0e16e4c7dccbb54426"
Was this page helpful?

